<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="/reset.css">
  <link rel="stylesheet" href="/root.css">
  <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
  <title>Super Blog | <%= title %></title>
</head>

<body>
  <header>
    <div id="top-line">
      <section id="home-text">
        <a id="home-ancor" href="/">
          <h1>Super blog website</h1>
        </a>
      </section>
      <ul id="navbar">
        <li>
          <a href="/funnys">Funnys</a>
        </li>
        <li>
          <a href="/404">404</a>
        </li>
      </ul>
    </div>
  </header>
  <main>
    <section class="blog-header">
      <h2>Welcome to my super blog website!</h2>
      <h2>My blog posts:</h2>
    </section>
    <%# <\% is for control flow (does not generate any text,
    unless output function is used) %>
    <%
    recentBlogs.forEach((post) => {
      /* XSS? Never heard of it... */
      echo("<section class=\"blog-post\">"
          +`<h3>${post.title}</h3>`
          +`<p>${post.text}</p>`
          +"</section>");
    });
    %>
  </main>
  <footer>
    <%- include("./partials/licensing.ejs") %>
  </footer>
</body>
<%# This is an ejs comment! %>

</html>